"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const list_1 = require("cli-ux/lib/list");
const base_1 = require("./base");
class RequiredArgsError extends base_1.CLIFlagsError {
    constructor(args) {
        let msg = `Missing ${args.length} required arg${args.length === 1 ? '' : 's'}`;
        const namedArgs = args.filter(a => a.name);
        if (namedArgs.length) {
            const list = list_1.renderList(namedArgs.map(a => [a.name, a.description]));
            msg += `:\n${list}`;
        }
        super(msg);
    }
}
exports.RequiredArgsError = RequiredArgsError;
