"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function option(defaults) {
    return (options) => {
        options = options || {};
        return Object.assign({}, defaults, options, { multiple: !!options.multiple, type: 'option', value: options.multiple ? [] : undefined });
    };
}
exports.option = option;
exports.flags = {
    boolean: (options = {}) => {
        return Object.assign({}, options, { allowNo: !!options.allowNo, type: 'boolean', value: false });
    },
    integer: option({
        parse: input => {
            if (!/^[0-9]+$/.test(input))
                throw new Error(`Expected an integer but received: ${input}`);
            return parseInt(input, 10);
        },
    }),
    option,
    string: option({ parse: input => input }),
};
exports.defaultFlags = {
    color: exports.flags.boolean({ allowNo: true }),
};
